Package be.ehealth.technicalconnector.service.etee.impl

# Class ConnectorCertificateChecker

java.lang.Object
be.ehealth.technicalconnector.service.etee.impl.ConnectorCertificateChecker

All Implemented Interfaces:
  `CertificateChecker`

public class ConnectorCertificateChecker extends Object implements CertificateChecker
Connector Certificate checker used by the ETEE library. Implementation of `CertificateChecker`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConnectorCertificateChecker()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isCertificateRevoked(File certFile)`
  `boolean`
  `isCertificateRevoked(File certFile, Instant validOn)`
  `boolean`
  `isCertificateRevoked(X509Certificate cert)`
  `boolean`
  `isCertificateRevoked(X509Certificate cert, Instant validOn)`
  `boolean`
  `isValidCertificateChain(List<X509Certificate> certificateChain)`
  `boolean`
  `isValidCertificateChain(List<X509Certificate> certificateChain, Instant validOn)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConnectorCertificateChecker

    public ConnectorCertificateChecker()

- ## Method Details

  - ### isCertificateRevoked

    public boolean isCertificateRevoked(File certFile) throws TechnicalConnectorException
    Specified by:
      `isCertificateRevoked` in interface `CertificateChecker`
    Throws:
      `TechnicalConnectorException`

  - ### isCertificateRevoked

    public boolean isCertificateRevoked(File certFile, Instant validOn) throws TechnicalConnectorException
    Specified by:
      `isCertificateRevoked` in interface `CertificateChecker`
    Throws:
      `TechnicalConnectorException`

  - ### isCertificateRevoked

    public boolean isCertificateRevoked(X509Certificate cert) throws TechnicalConnectorException
    Specified by:
      `isCertificateRevoked` in interface `CertificateChecker`
    Throws:
      `TechnicalConnectorException`

  - ### isCertificateRevoked

    public boolean isCertificateRevoked(X509Certificate cert, Instant validOn) throws TechnicalConnectorException
    Specified by:
      `isCertificateRevoked` in interface `CertificateChecker`
    Throws:
      `TechnicalConnectorException`

  - ### isValidCertificateChain

    public boolean isValidCertificateChain(List<X509Certificate> certificateChain) throws TechnicalConnectorException
    Specified by:
      `isValidCertificateChain` in interface `CertificateChecker`
    Throws:
      `TechnicalConnectorException`

  - ### isValidCertificateChain

    public boolean isValidCertificateChain(List<X509Certificate> certificateChain, Instant validOn) throws TechnicalConnectorException
    Specified by:
      `isValidCertificateChain` in interface `CertificateChecker`
    Throws:
      `TechnicalConnectorException`